> ## Documentation Index
> Fetch the complete documentation index at: https://skyvern.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Connect Twilio credentials

> Validate and store Twilio credentials for the current organization.



## OpenAPI

````yaml /api-reference/openapi.json post /v1/integrations/twilio/credentials
openapi: 3.1.0
info:
  title: Skyvern API
  description: API for Skyvern
  version: 1.0.0
servers:
  - url: https://api.skyvern.com
    x-fern-server-name: Cloud
security: []
paths:
  /v1/integrations/twilio/credentials:
    post:
      tags:
        - Credentials
      summary: Connect Twilio credentials
      description: Validate and store Twilio credentials for the current organization.
      operationId: create_twilio_credential_v1_integrations_twilio_credentials_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateTwilioCredentialRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TwilioCredentialResponse'
        '400':
          description: The Twilio credentials are invalid
        '404':
          description: Twilio SMS is unavailable or the account was not found
        '409':
          description: Connected phone numbers must be disabled before changing accounts
        '422':
          description: Request validation failed
        '502':
          description: The Twilio provider request failed
        '503':
          description: The Twilio provider rate limit was reached
      security:
        - ApiKeyAuth: []
components:
  schemas:
    CreateTwilioCredentialRequest:
      properties:
        credential:
          $ref: '#/components/schemas/TwilioCredential'
      type: object
      required:
        - credential
      title: CreateTwilioCredentialRequest
    TwilioCredentialResponse:
      properties:
        credential:
          anyOf:
            - $ref: '#/components/schemas/TwilioCredentialSafe'
            - type: 'null'
      type: object
      title: TwilioCredentialResponse
    TwilioCredential:
      properties:
        account_sid:
          type: string
          title: Account Sid
        api_key_sid:
          anyOf:
            - type: string
            - type: 'null'
          title: Api Key Sid
        api_key_secret:
          anyOf:
            - type: string
            - type: 'null'
          title: Api Key Secret
        auth_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Auth Token
      type: object
      required:
        - account_sid
      title: TwilioCredential
    TwilioCredentialSafe:
      properties:
        account_sid:
          type: string
          title: Account Sid
        api_key_sid:
          anyOf:
            - type: string
            - type: 'null'
          title: Api Key Sid
        has_api_key_secret:
          type: boolean
          title: Has Api Key Secret
        has_auth_token:
          type: boolean
          title: Has Auth Token
      type: object
      required:
        - account_sid
        - has_api_key_secret
        - has_auth_token
      title: TwilioCredentialSafe
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      description: Your Skyvern API key from https://app.skyvern.com/settings.
      in: header
      name: x-api-key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.